Bug 200621 - IllegalAccessError: tried to access method org.netbeans.modules.glassfish.eecommon.api.config.GlassfishConfiguration.<init>(Lorg/netbeans/modules/j2ee/deployment/devmodules/api/J2eeModule;)V from clas
IllegalAccessError: tried to access method org.netbeans.modules.glassfish.eec...
Status: NEW
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 8
7.0.1
All All
: P1 with 1 vote (vote)
: TBD
Assigned To: Vince Kraemer
issues@serverplugins
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-03 08:27 UTC by sonntag
Modified: 2013-12-13 10:24 UTC (History)
30 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.59 KB, text/plain)
2011-08-03 08:27 UTC, sonntag
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sonntag 2011-08-03 08:27:44 UTC
This bug was originally marked as duplicate of bug 198623, that is already resolved. This bug is still valid, so this seems to be another bug, but it might be related.

Build: NetBeans IDE 7.0.1 (Build 201107282000)
VM: Java HotSpot(TM) Client VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Windows XP

User Comments:
pepijn: Starting Netbeans with a bunch of JEE projects in the workspace.

YohXF15: I was trying to open project. 
I tried to open both EJB project and Web project.

GUEST: openin an existing project It flashes reference error dialog and closes it immediately

GUEST: Opening a Java Web Application project. As a result, neither the project nor the pages that should be opened automatically ar shown.

sonntag: Updated to Netbeans 7.0.1 from 7.0.
Tried to open an existing EAR project, which was working fine before 7.0.1.
We are using the GlassFish 2.1.1 plugin.
Possibly related to Bug 198623.

GUEST: trying to load a WebApp which was working before an IDE update!




Stacktrace: 
java.lang.IllegalAccessError: tried to access method org.netbeans.modules.glassfish.eecommon.api.config.GlassfishConfiguration.<init>(Lorg/netbeans/modules/j2ee/deployment/devmodules/api/J2eeModule;)V from class org.netbeans.modules.j2ee.sun.ide.j2ee.ModuleConfigurationImpl
   at org.netbeans.modules.j2ee.sun.ide.j2ee.ModuleConfigurationImpl.<init>(ModuleConfigurationImpl.java:107)
   at org.netbeans.modules.j2ee.sun.ide.j2ee.ModConFactory.create(ModConFactory.java:66)
   at org.netbeans.modules.j2ee.deployment.config.ConfigSupportImpl$1.run(ConfigSupportImpl.java:790)
   at org.netbeans.modules.j2ee.deployment.config.ConfigSupportImpl$1.run(ConfigSupportImpl.java:769)
   at org.openide.util.Mutex.readAccess(Mutex.java:288)
   at org.netbeans.modules.j2ee.deployment.config.ConfigSupportImpl.getModuleConfiguration(ConfigSupportImpl.java:769)
Comment 1 sonntag 2011-08-03 08:27:47 UTC
Created attachment 109761 [details]
stacktrace
Comment 2 sonntag 2011-08-03 10:30:41 UTC
After uninstalling all previous NetBeans versions (6.7, 6.9, 7.0) and reinstalling the 7.0.1 Java EE bundle, the issue does not seem to occur anymore.

I installed the following additional plugins:
GlassFish v1, v2.x
Axis2 Support and Facelets 1.1.14 (JSF 1.2) from the UC at: http://deadlock.netbeans.org/hudson/job/nbms-and-javadoc/lastStableBuild/artifact/nbbuild/nbms/updates.xml.gz

Maybe it has something to do with settings imported from previous versions when originally installing NetBeans 7.0.
Comment 3 oaspublic 2011-08-08 07:06:00 UTC
Hi,

I have also update my ide and run into the same exception.
Does any workaround exits. Current I can't open my projects using old versions from gf and I don't want remove and reinstall (configure) all!

Does any workaround exists?

Hope get fast answer!

regards
Comment 4 oaspublic 2011-08-08 08:06:33 UTC
temporary workaround: start nb with new (empty) --userdir
Comment 5 Vince Kraemer 2011-08-08 16:09:16 UTC
Work around: Use the Plugin Manager dialog to uninstall the GlassFish Server v1,v2 plugin.  After NetBeans restarts, use the plugin manager to install the GlassFish Server v1,v2 plugin from the update center.  You may need to reinstall the Java Web and EE plugins, too.
Comment 6 Petr Jiricka 2011-08-09 09:10:16 UTC
Not sure I understand what the exact problem is - but I'd like to ask, where is the source for the GF 2.1.1 plugin that's currently published on the UC? The published version is 1.13.1.1, but when I look at the sources, all the branches (release70, release701 and trunk) contain version 1.13.0. So where does it come from?
Comment 7 jomu 2011-08-11 16:07:49 UTC
I can confirm the workaround:
-- close all projects
-- uninstall GlassFish v1, V2.x (1.13.0.1)
-- uninstall all depending plugins (e.g. EJB and Ear, Java Web Applications,...)
-- execute update
-- install all removed plugins again
Comment 8 Marian Mirilovic 2011-11-23 11:19:36 UTC
145 duplicates - P1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo